# Hash_Map_With_Allocator_T.h File Reference

`#include "ace/Hash_Map_Manager_T.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/Hash_Map_With_Allocator_T.inl"`
`#include "ace/Hash_Map_With_Allocator_T.cpp"`

Include dependency graph for Hash_Map_With_Allocator_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Hash_Map_With_Allocator< EXT_ID, INT_ID >
| This class is a thin wrapper around ACE_Hash_Map_Manager, which comes handy when ACE_Hash_Map_Manager is to be used with a non-nil ACE_Allocator. This wrapper insures that the appropriate allocator is in place for every operation that accesses or updates the hash map. More...

## Detailed Description

Id
  Hash_Map_With_Allocator_T.h,v 4.14 2006/02/10 09:59:26 jwillemsen Exp

Author:
  Marina Spivak <marina@cs.wustl.edu>

  Irfan Pyarali <irfan@cs.wustl.edu>